Delete

Delete
Delete an auth token.

Deletes the auth token provided in Authorization header. Deleting an expired or invalid token will result in 401 Unauthorized error.

Request
URI
DELETE
https://{api_host}/api/ni/auth/token
COPY
Authentication
This operation uses the following authentication methods.
Responses
204

Success

Operation doesn't return any data structure

401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/ni/auth/token